Bug 248677 - Review Request: R-BSgenome.Celegans.UCSC.ce2 - BSgenome.Celegans.UCSC.ce2
Review Request: R-BSgenome.Celegans.UCSC.ce2 - BSgenome.Celegans.UCSC.ce2
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-18 02:23 EDT by Pierre-Yves
Modified: 2008-01-15 18:05 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 18:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
dennis: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-07-18 02:23:58 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-BSgenome.Celegans.UCSC.ce2/R-BSgenome.Celegans.UCSC.ce2.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-BSgenome.Celegans.UCSC.ce2/R-BSgenome.Celegans.UCSC.ce2-1.2.0-1.fc6.src.rpm
Caenorhabditis elegans genome grabbed from UCSC (ce2, Mar. 2004)
and stored in Biostrings objects

Comment 2 Jason Tibbitts 2007-11-18 20:30:46 EST
This package build fine; rpmlint has only the usual complaints.

I see that you're specifying LGPLv2+, but as usual for these packages I can't
find any statement anywhere that says which version of the license it's really
under.  Did you find some more precise statement of the license somewhere?

One thing to consider: this is a large package and I doubt it will change very
quickly.  To avoid having to carry separate packages for multiple distributions,
is is possible to remove the %dist tag and then just build this package for F-7
(or the oldest distro you wish to support) and it will be inherited into later
distros.  (You would still have to go do bodhi and issue an update for F-8 but
it would automatically make it into rawhide).

Of course, this would only work if the package isn't dependent on the version of
R it was built with.  I have no idea if that's the case.

Obviously I can't install this due to missing dependencies.  I know you're
trying to bootstrap this but at this point I don't even see Biostring or
BSgenome up for review, and I really can't approve this without at least looking
at them.  It would be pointless to let this into the distro at this point
anyway.  For circular dependencies, you really need to submit all of the
packages or a review is kind of pointless.

* source files match upstream:
* package meets naming and versioning guidelines.
* Package follows R noarch packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
X package fails to install due to missing dependencies.
* rpmlint has only the expected complaints.
* final provides and requires are sane:
   R-BSgenome.Celegans.UCSC.ce2 = 1.2.0-2.fc9

X %check disabled due to missing dependencies.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R index generation).
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* docs are not necessary for the proper functioning of the package.
Comment 3 Pierre-Yves 2007-11-23 12:46:42 EST
In fact updating my repo and creating the rpm for fedora 8 and fedora 7 and 8 on
x86_64 I have found some errors about dependencies, this package has one of
them, it should not include the require of Biostring or Bsgenome as these two
packages required it to be compiled... once again a cyclic dependency.

I have uploaded the corrected files

> Did you find some more precise statement of the license somewhere?
I have checked the latest version on Bioconductor 2.1 which (once again) do not
contain any license file... (the version in Bioc 2.1 is the same that the one on
Bioc 2.2)

Comment 4 Jason Tibbitts 2007-12-22 19:33:55 EST
I've been trying to get back to this, but for the past few days I've had no luck
getting to the site hosting those URLs.
Comment 5 Pierre-Yves 2007-12-26 13:49:17 EST
Sorry the update from FC6 to F8 took more time than I expected (I had to update
from FC6 to F7 and then to F8 via yum).

Everything should be fixed by now (Hopefully)

Comment 6 Jason Tibbitts 2008-01-04 15:54:17 EST
Finally getting back to this...

Builds and installs OK now.

I'm fine with LGPLv2+ as the license tag; there was no LGPLv1 and I'd expect
them to be explicit if they intended v3.

I would still urge you to consider dropping the dist tag, building once for F7
and having later releases inherit this package.  It would avoid the need to have
to carry several 30MB packages which differ only in name.

Comment 7 Pierre-Yves 2008-01-05 12:29:27 EST
I have uploaded the latest version removing the %dist tag.
Could you have a look and let me know if I did it correctly ?

What about the CVS ?
Do I manage them in the same way ?

Thanks for your help,

Comment 8 Pierre-Yves 2008-01-05 13:05:10 EST
New Package CVS Request
Package Name: R-BSgenome.Celegans.UCSC.ce2 
Short Description: BSgenome.Celegans.UCSC.ce2
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 9 Dennis Gilmore 2008-01-05 13:23:02 EST
CVS Done 
Comment 10 Fedora Update System 2008-01-06 20:13:46 EST
R-BSgenome.Celegans.UCSC.ce2-1.2.0-5 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-BSgenome.Celegans.UCSC.ce2'
Comment 11 Fedora Update System 2008-01-15 18:05:49 EST
R-BSgenome.Celegans.UCSC.ce2-1.2.0-5 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.